package dadaapi

//
import (
	"fmt"
	"git.rosy.net.cn/baseapi"
	//"fmt"
	"testing"
	//"git.rosy.net.cn/baseapi"
	"git.rosy.net.cn/baseapi/utils"
)

//
//func TestAddOrderAfterQuery(t *testing.T) {
//	// orderID := utils.GetUUID()
//	result, err := dadaapi.QueryDeliverFee(&OperateOrderParams{
//		ShopNo:          "102908",
//		OriginID:        "130652775117000002",
//		CityCode:        "021",
//		CargoPrice:      0.01,
//		IsPrepay:        0,
//		ReceiverName:    "某人",
//		ReceiverAddress: "西南交通大学科技大厦",
//		ReceiverLng:     121.258651,
//		ReceiverLat:     31.034611,
//		ReceiverPhone:   "18180948107",
//		CargoType:       19,
//		CargoWeight:     3,
//	})
//	if err != nil {
//		t.Fatal(err)
//	}
//	baseapi.SugarLogger.Debug(utils.Format4Output(result, false))
//
//	// err = dadaapi.AddOrderAfterQuery(result.DeliveryNo)
//	// if err != nil {
//	// 	t.Fatal(err)
//	// }
//
//	// cancelResponse, err := dadaapi.CancelOrder(orderID, ReasonIDOther, "test")
//	// if err != nil {
//	// 	t.Fatal(err)
//	// }
//	// baseapi.SugarLogger.Debug(utils.Format4Output(cancelResponse, false))
//}
//
func TestCancel(t *testing.T) {
	cancelResponse, err := dadaapi.CancelOrder("3801466870914732858", ReasonIDClientCanceled, "协商一致")
	if err != nil {
		t.Fatal(err)
	}
	baseapi.SugarLogger.Debug(utils.Format4Output(cancelResponse, false))
}

//
//func TestGetComplaintReasons(t *testing.T) {
//	complaintReason, err := dadaapi.GetComplaintReasons()
//	if err != nil {
//		t.Fatal(err)
//	}
//	fmt.Println(complaintReason)
//}
//
//func TestComplaintRider(t *testing.T) {
//	err := dadaapi.ComplaintRider("123", 1)
//	if err != nil {
//		t.Fatal(err)
//	}
//}
//
func TestQueryOrderInfo(t *testing.T) {
	dadaapi = New("dada154e2a41fd6cef3", "7f97d8f258b70b450f04e7ab274ed8f8", "6660", "http://callback.jxc4.com/dadadelivery/msg", true)
	result, err := dadaapi.QueryOrderInfo("1100618462495865287")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

type Names struct {
	Name string `json:"name"`
}

func TestAddTip(t *testing.T) {
	name := &Names{Name: "京西菜市"}
	name.Name = "京西菜市" + "-" + "京西菜市(号门店)"
	fmt.Println(utils.Format4Output(name, false))
}
